//---------------------------------------------------------------------------

#ifndef sigma_beamH
#define sigma_beamH
#include "Data_Gen.h"
//---------------------------------------------------------------------------
   // Вычислить напряжения на балке, иимеющей известную форму сечения, при действии момента в двух плоскостях
    int sigma_beamXYZ_max(double *gt0, double *stress0, double sigma_point[][3], int index_sect);
    int sigma_beam(double *gt, double *stress, double *sigma);
    int sigma_beam_new(double *gt, double *stress, double sigma[][3]);
    int sigma_beam_max(double *gt, double *stress, double sigma[][3], int index_sect);
    // Вычислить нормальные напряжения на балке обобщенного сечения в четырех угловых точках при действии момента в двух плоскостях
    void sigma_beam_comm(GEOM_PARAM_SECT *param_sect, double *Forces, double *sigma) ;

#endif
